/* __putc() with support for CR/LF-conversion in text-mode */

#include <stdio.h>
#undef __putc


int __putc(int c,FILE *f)
{
#ifdef _CLE
  if (c=='\n' && (f->flags&_CLE))
    return __rawputc('\r',f);
#endif
  return __rawputc(c,f);
}
